<?php
	include './include/functions.php';
	include './include/WMSSettings.php';
	include './include/database.php';
	include './include/userCheck.php';

	header("Content-Type: text/plain");
	header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
	header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
	header("Cache-Control: no-cache, must-revalidate");
	header("Pragma: no-cache");
	
	function rgb2html($r, $g=-1, $b=-1)
	{
	    if (is_array($r) && sizeof($r) == 3)
	        list($r, $g, $b) = $r;

	    $r = intval($r); $g = intval($g);
	    $b = intval($b);

	    $r = dechex($r<0?0:($r>255?255:$r));
	    $g = dechex($g<0?0:($g>255?255:$g));
	    $b = dechex($b<0?0:($b>255?255:$b));

	    $color = (strlen($r) < 2?'0':'').$r;
	    $color .= (strlen($g) < 2?'0':'').$g;
	    $color .= (strlen($b) < 2?'0':'').$b;
	    return '#'.$color;
	}
	
	$colorRed = "#FF0000";
	$colorGreen = "#00FF00";
	$colorWhite = "#FFFFFF";


	$participants = $_GET['participants'];	
	$meetingParticipantAr = explode(",",$participants);
	//print_r ($meetingParticipantAr);

	$meetingParticipantAr = array_unique(array_filter($meetingParticipantAr)); //cleaning array to remote duplicates, blanks and nulls rgc
	//print_r ($meetingParticipantAr);
	
	$matrixAr = array();
	$hitCounter = array();
	//matrix array
	for ($numDays=0; $numDays < 7; $numDays++)
	{	
		for ($numHours=0; $numHours < 24; $numHours++)
		{		
			$matrixAr[$numDays][$numHours] = $colorGreen;
			$hitCounter[$numDays][$numHours] = 0;
		}	
	}
	
	//participants
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		if (in_array($value[0],$meetingParticipantAr) )
		{
			//$sInfo .= $value[0]."   ".$value[3];
			
			$sugAr = explode("_",$value[3]);
			$suggestedValueAr = array();
			
			while(list($sugId,$sugValue) = each($sugAr) )
			{
				//$sInfo .= $sugValueAr[0]." - ".$sugValueAr[1];
				
				$sugValueAr = explode("-",$sugValue);				
				$suggestedValueAr[$sugValueAr[0]] = $sugValueAr[1];
				
//				$sInfo .= print_r($suggestedValueAr);
			}
			reset($sugAr);
			
			//$sInfo .= print_r($suggestedValueAr);
			
			while(list($day,$hourAr) = each($suggestedValueAr) )
			{
				$sugHoursAr = explode("/",$hourAr);
				//$sInfo .= print_r($sugHoursAr);
				while(list($hourId, $hourValue) = each($sugHoursAr) )
				{
					$matrixAr[$day][$hourValue] = $colorRed;
					$hitCounter[$day][$hourValue] = $hitCounter[$day][$hourValue]+1;
				}
			}
			reset($suggestedValueAr);
		}
	}
	//print_r ($matrixAr);
	//echo count($meetingParticipantAr);
	//print_r ($hitCounter);
	$colorsArray = array(0=>"#FF0000", 1=> rgb2html(.9*255, .1*255), 2=>rgb2html(.8*255, .2*255), 3=>rgb2html(.7*255, .3*255), 4=>rgb2html(.6*255, .4*255), 5=>rgb2html(.5*255, .5*255), 6=>rgb2html(.4*255, .6*255), 7=>rgb2html(.3*255, .7*255), 8=>rgb2html(.2*255, .8*255), 9=>rgb2html(.1*255, .9*255), 10=>"#00FF00");
	//print_r($colorsArray);
	// print "<html><table><tr>";
	// foreach ($colorsArray as $key => $value){
	// 	print "<td width='10%' bgcolor='".$value."'></td>";
	// }
	// print "</tr></table></html>";
	for ($numDays=0; $numDays < 7; $numDays++)
	{	
		for ($numHours=0; $numHours < 24; $numHours++)
		{	
			$hitCounter[$numDays][$numHours] = round(10*(1-($hitCounter[$numDays][$numHours]/count($meetingParticipantAr))));	
			//$resultAr[] = "Day_".$numDays."_Hours_".$numHours."/".$matrixAr[$numDays][$numHours];
			$resultAr[] = "Day_".$numDays."_Hours_".$numHours."/".$colorsArray[$hitCounter[$numDays][$numHours]];
		}	
	}
	//print_r($hitCounter);
//	$sInfo .= print_r($matrixAr);
	
	$sInfo .= implode(",",$resultAr);
	
	echo $sInfo;
	
?>