<?php
include './include/functions.php';
include './include/WMSSettings.php';
include './include/database.php';
include './include/userCheck.php';

header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

include './include/header.php';

if ($_GET[message])
{
	$msg = base64_decode($_GET[message]);
}

//print_r($_POST);

if ($_POST[updateLocation] == 'Update')
{
		
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[4] = $_POST[meeting_location];
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Location Updated";
	addLogUtility("Meeting Location Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if($_POST[updateMatrix] == 'Update')
{
	
	for ($numDays=0; $numDays < 7; $numDays++)
	{	
		$hoursAr = array();
		for ($numHours=0; $numHours < 24; $numHours++)
		{
			if ($_POST["Day_".$numDays."_Hours_".$numHours] == "on")
			{
				$hoursAr[] = $numHours;
			}			
		}	
		$newMatrix[] = $numDays."-".implode("/",$hoursAr);
	}
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[3] = implode("_",$newMatrix);
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Times Updated";
	addLogUtility("Meeting Times Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if ($_POST[changePassword] == 'Update')
{
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	if ($userInformation[1] == $_POST[currentPassword])
	{
		if ($_POST[newPassword] == $_POST[confirmPassword])
		{
			$userInformation[1] = $_POST[newPassword];
			
			$userAr[$username] = implode(",",$userInformation);
			
			$file = fopen("userInformation.txt", 'w', 1);
			$text .= implode("\n",$userAr);
			fwrite($file, $text);
			fclose($file);
			
			$msg = "Password updated successfully";
			addLogUtility("Password Updated By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
		else
		{
			$msg = "The new passwords do not match";
			addLogUtility("Provided Password Do Not Match By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
	}
	else
	{
		$msg = "The current password do not match our records";
		addLogUtility("Password Provided Do Not Match Records By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	}

}

if ($_COOKIE[WMSAdministrator] !=false)
{
	
	echo "<div id=adminPage><center>";
	echo "<table width=100% border=3 bordercolor=silver cellspacing=0 cellpadding=0 bgcolor=white><tr><td valign=top>";
	echo "<table width=100% bgcolor=white>";

	addLogUtility("Loaded Admin User By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	if (strlen($msg) > 0)
	{
		echo "<br><font size=2 color=red>$msg</font>";
	}
	echo "<form action='$php_self' method=post name=reports enctype=multipart/form-data autocomplete=off>";
	echo "<tr><td><font color=gray>WMS Administration</font>";
	echo "</td><td align=right></td></tr>";
	echo "<tr><td colspan=2><hr></td></tr>";
	echo "<tr><td width=100%><fieldset><legend>Add New User</legend><ul><ol>";
	echo "<li><label>User Name:</label><input type=text name='addUserName' id='addUserName'></li>";
	echo "<li><label>Email:</label><input type=text name='addEmailAddress' id='addEmailAddress'></li>";
	echo "<li><label>Password:</label><input type=password name='addNewPassword' id='addNewPassword'></li>";
	echo "<li><label>Confirm Password:</label><input type='addConfirmPassword' name='addConfirmPassword'></li>";
		
	$sInfo .= "<li><label>Please Uncheck Available Times</label></li><li>";
	
	$DaysArray = array("0"=>"Su","1"=>"M","2"=>"T","3"=>"W","4"=>"Th","5"=>"F","6"=>"S");

	$sInfo .= "<table cellspacing=2 cellpadding=0>";	
	$sInfo .= "<tr><td></td>";
	for ($numHours=0; $numHours < 24; $numHours++)
	{		
		$sInfo .= "<td><a onclick=\"selectAllColumn('$numHours');\">$numHours</a></td>";			
	}
	$sInfo .= "</tr>";

	for ($numDays=0; $numDays < 7; $numDays++)
	{
		$sInfo .= "<tr><td><a onclick=\"selectAllRow('$numDays')\">$DaysArray[$numDays]</a></td>";
	
		for ($numHours=0; $numHours < 24; $numHours++)
		{		
			$sInfo .= "<td><input type=checkbox ";
			if ($matrix[$numDays][$numHours] == "True")
			{
				$sInfo .= " checked ";	
			}
			$sInfo .= " name=Day_".$numDays."_Hours_".$numHours." id=Day_".$numDays."_Hours_".$numHours."></td>";			
		}
		$sInfo .= "</tr>";
		
	}
	$sInfo .= "</table>";	
	
	$sInfo .= "</li>";
	$sInfo .= "<li><label>Available Locations:</label>";

	$fileLocation = "./locations.txt";
	$content = file_get_contents($fileLocation);
	$locationsAr = explode("\n", $content);
	$sInfo .= "<select name=meeting_location id=meeting_location class=\"inputBox\">";
	if (count($locationsAr) > 0)
	{
		while(list($id,$valueStr) = each($locationsAr) )
		{
			$value = explode(",",$valueStr);
			$sInfo .= "<option value='$value[1]' ";
			$sInfo .= ">$value[1]</option>";
		}
	}
	else
	{
		$sInfo .= "<option value='0'>No Locations Available</option>";
	}
	$sInfo .= "</select>";
	
	$sInfo .= "</li>";
	$sInfo .= "<li><input type=submit class=\"button\" name='addNewUser' id='addNewUser' value='Add New User'></li>";
	$sInfo .= "</ol></ul></fieldset></td></tr></tr></table></form>";
	
	echo $sInfo;
	
	echo "<form action='$php_self' method=post name=location enctype=multipart/form-data>";
	echo "<table width=100% bgcolor=white><tr><td><fieldset><legend>Add New Location:</legend><ul><ol>";
	echo "<li><label>New Location:</label><input type=text name='addLocation' id='addLocation'></li>";	
	echo "<li><input type=submit class=\"button\" name='addNewLocation' id='addNewLocation' value='Add New Location'></li>";
	echo "</ol></ul></fieldset></td></tr></tr></table></form>";
	
	echo "</td></tr></table>";
	
	echo "</center>";
	echo "</div>";
}
else
{
	echo " You are not and administrator.";
}

include './include/footer.php';
?>