<?php
include './include/functions.php';
include './include/WMSSettings.php';
include './include/database.php';
include './include/userCheck.php';

header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

include './include/header.php';

if ($_GET[message])
{
	$msg = base64_decode($_GET[message]);
}

//print_r($_POST);

if ($_POST[updateUser] == 'Update')
{
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);
	
	$userInformation[6] = $_POST["userSkype"];
	
	$userInformation[7] = $_POST["userPhoneNumber"];

	$userAr[$username] = implode(",",$userInformation);

	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting User Updated";
	addLogUtility("Meeting User Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if ($_POST[updateLocation] == 'Update')
{
		
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[4] = $_POST[meeting_location];
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Location Updated";
	addLogUtility("Meeting Location Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if($_POST[updateMatrix] == 'Update')
{
	
	for ($numDays=0; $numDays < 7; $numDays++)
	{	
		$hoursAr = array();
		for ($numHours=0; $numHours < 24; $numHours++)
		{
			if ($_POST["Day_".$numDays."_Hours_".$numHours] == "on")
			{
				$hoursAr[] = $numHours;
			}			
		}	
		$newMatrix[] = $numDays."-".implode("/",$hoursAr);
	}
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[3] = implode("_",$newMatrix);
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Times Updated";
	addLogUtility("Meeting Times Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if ($_POST[changePassword] == 'Update')
{
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	if ($userInformation[1] == $_POST[currentPassword])
	{
		if ($_POST[newPassword] == $_POST[confirmPassword])
		{
			$userInformation[1] = $_POST[newPassword];
			
			$userAr[$username] = implode(",",$userInformation);
			
			$file = fopen("userInformation.txt", 'w', 1);
			$text .= implode("\n",$userAr);
			fwrite($file, $text);
			fclose($file);
			
			$msg = "Password updated successfully";
			addLogUtility("Password Updated By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
		else
		{
			$msg = "The new passwords do not match";
			addLogUtility("Provided Password Do Not Match By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
	}
	else
	{
		$msg = "The current password do not match our records";
		addLogUtility("Password Provided Do Not Match Records By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	}

}

if ($username!=false)
{
	
	echo "<div id=adminPage><center>";
	echo "<table width=100% border=3 bordercolor=silver cellspacing=0 cellpadding=0 bgcolor=white><tr><td valign=top>";
	echo "<table width=100% bgcolor=white>";
	if ($username == 'TeamAwesome')
	{
		echo "<tr><td><font size=2>You cannot update this user.</font></td></tr></table>";
		addLogUtility("Invalid Access By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	}
	else
	{	
	
		$fileLocation = "./userInformation.txt";
		$content = file_get_contents($fileLocation);
		$participantsAr = explode("\n", $content);
		while (list($id,$valueStr) = each($participantsAr) )
		{
			$value = explode(",",$valueStr);
			$userAr[$value[0]] = $valueStr;
		}
		
		$userInformation = explode(",",$userAr[$username]);
	
		addLogUtility("Loaded Edit User By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		if (strlen($msg) > 0)
		{
			echo "<br><font size=2 color=red>$msg</font>";
		}
		echo "<form action='$php_self' method=post name=updateUserForm enctype=multipart/form-data>";
		echo "<tr><td><font color=gray>EDIT USER</font>";
		echo "</td><td align=right></td></tr>";
		echo "<tr><td colspan=2><hr></td></tr>";
		echo "<tr><td width=100%><fieldset><legend>User Information</legend><ul><ol>";
		echo "<li><label>User Name:</label><p class=\"TextClass\">$username</p></li>";
		echo "<li><label>Email:</label><p class=\"TextClass\">$userInformation[2]</p></li>";
		echo "<li><label>Skype:</label><p class=\"TextClass\"><input type=text name=userSkype id=userSkype value='$userInformation[6]'></p></li>";
		echo "<li><label>Phone Number:</label><p class=\"TextClass\"><input type=text name=userPhoneNumber id=userPhoneNumber value='$userInformation[7]'></p></li>";
		echo "<li><input class=\"button\" type=submit name='updateUser' value='Update'></li>";
		echo "</ol></ul></fieldset></td></tr>";
		echo "</form>";

		echo "<form action='$php_self' method=post name=reports enctype=multipart/form-data>";
		echo "<tr><td><fieldset><legend>Change Password</legend><ul><ol>";
		echo "<li><label>Current Password:</label><input type=password name=currentPassword></li>";
		echo "<li><label>New Password:</label><input type=password name=newPassword></li>";
		echo "<li><label>Confirm New Password:</label><input type=password name=confirmPassword></li>";
		echo "<li><input class=\"button\" type=submit name='changePassword' value='Update'></li>";
		echo "</ol></ul></fieldset></td></tr>";
		echo "</table></form>";
		echo "<br>";
		
		$matrixAr = explode("_",$userInformation[3]);
		
		while(list($id,$value) = each($matrixAr) )
		{
			$valueAr = explode("-",$value);
			$day = $valueAr[0];
			$hours = explode("/",$valueAr[1]);

			while(list($hID,$hValue) = each($hours) )
			{
				$matrix[$day][$hValue] = "True";
			}
		}
		
		
		$sInfo .= "<form action='$php_self' method=post name=matrix enctype=multipart/form-data>";
		$sInfo .= "<table width=100% bgcolor=white><tr><td><fieldset><legend>Meeting Times:</legend><ul><ol>";
		$sInfo .= "<li><label>Please Uncheck Available Times</label></li><li>";
		
		$DaysArray = array("0"=>"Su","1"=>"M","2"=>"T","3"=>"W","4"=>"Th","5"=>"F","6"=>"S");
	
		$sInfo .= "<table cellspacing=2 cellpadding=0>";	
		$sInfo .= "<tr><td></td>";
		for ($numHours=0; $numHours < 24; $numHours++)
		{		
			$sInfo .= "<td><a onclick=\"selectAllColumn('$numHours');\">$numHours</a></td>";			
		}
		$sInfo .= "</tr>";
	
		for ($numDays=0; $numDays < 7; $numDays++)
		{
			$sInfo .= "<tr><td><a onclick=\"selectAllRow('$numDays')\">$DaysArray[$numDays]</a></td>";
		
			for ($numHours=0; $numHours < 24; $numHours++)
			{		
				$sInfo .= "<td><input type=checkbox ";
				if ($matrix[$numDays][$numHours] == "True")
				{
					$sInfo .= " checked ";	
				}
				$sInfo .= " name=Day_".$numDays."_Hours_".$numHours." id=Day_".$numDays."_Hours_".$numHours."></td>";			
			}
			$sInfo .= "</tr>";
			
		}
		$sInfo .= "</table>";	
		
		$sInfo .= "</li>";
		$sInfo .= "<li><input type=submit class=\"button\" name='updateMatrix' id='updateMatrix' value='Update'></li>";
		$sInfo .= "</ol></ul></fieldset></td></tr></tr></table></form>";
		
		$sInfo .= "<form action='$php_self' method=post name=location enctype=multipart/form-data>";
		$sInfo .= "<table width=100% bgcolor=white><tr><td><fieldset><legend>Prefered Location:</legend><ul><ol>";
		$sInfo .= "<li><label>Available Locations:</label>";

		$fileLocation = "./locations.txt";
		$content = file_get_contents($fileLocation);
		$locationsAr = explode("\n", $content);
		$sInfo .= "<select name=meeting_location id=meeting_location class=\"inputBox\">";
		if (count($locationsAr) > 0)
		{
			while(list($id,$valueStr) = each($locationsAr) )
			{
				$value = explode(",",$valueStr);
				$sInfo .= "<option value='$value[1]' ";
				if ($userInformation[4] == $value[1])
				{
					$sInfo .= " selected ";
				}
				$sInfo .= ">$value[1]</option>";
			}
		}
		else
		{
			$sInfo .= "<option value='0'>No Locations Available</option>";
		}
		$sInfo .= "</select>";
		
		$sInfo .= "</li>";
		$sInfo .= "<li><input type=submit class=\"button\" name='updateLocation' id='updateLocation' value='Update'></li>";
		$sInfo .= "</ol></ul></fieldset></td></tr></tr></table></form>";
		
		echo $sInfo;
		echo "</td></tr></table>";
	}
	echo "</center>";
	echo "</div>";
}
else
{
	header("Location:  /index.php");
}

include './include/footer.php';
?>