<?php
error_reporting(E_ERROR | E_WARNING | E_PARSE);

function addLogUtility($textString, $user, $ip, $host, $logLocation)
{
	$timeStamp = time();

	$file = fopen($logLocation, 'a', 1);
	$text = date('F/d/Y g:i a', $timeStamp);
	$text .= " - $user at $host($ip)";
	$text .= " - $textString \r\n";
	fwrite($file, $text);
	fclose($file);

}

function sendEmailMessage($to, $from, $subject, $message, $headers,$parameters,$emailType,$smtp,$smtpPort,$sendmailFrom,$userName,$password)
{
	$header = "From:  $from\n";
    $header .= $headers;
    
    ini_set("SMTP",$smtp );
	ini_set("smtp_port",$smtpPort );
	ini_set('sendmail_from', $sendmailFrom);
    
    ini_set('auth_username', $userName);
    ini_set('auth_password', $password);


	if ($emailType == "Password")
    {
        if ( mail($to,$subject,$message,$header,$parameters) )
        {
            return "Your Password was successfully emailed.";
        }
        else
        {
            return "Error Emailing Your Password.  Contact Your Administrator.";
        }
    }
    else if ($emailType == "ReportEmail")
    {
	    if ( mail($to,$subject,$message,$header,$parameters) )
        {
            return "Your Report was successfully emailed.";
        }
        else
        {
            return "Error Emailing Your Report.  Contact Your Administrator.";
        }
    }
    else if ($emailType == "Contact")
    {
	    if ( mail($to,$subject,$message,$header,$parameters) )
        {
            return "Your Request was successfully emailed.";
        }
        else
        {
            return "Error Emailing Your Request.  Contact Your Administrator.";
        }
    }
    
}

function formatBytes($bytes, $precision = 2) {
    $units = array('B', 'KB', 'MB', 'GB', 'TB');
  
    $bytes = max($bytes, 0);
    $pow = floor(($bytes ? log($bytes) : 0) / log(1024));
    $pow = min($pow, count($units) - 1);
  
    $bytes /= pow(1024, $pow);
  
    return round($bytes, $precision) . ' ' . $units[$pow];
}

?>
