<?php
include './include/functions.php';
include './include/WMSSettings.php';
include './include/database.php';
include './include/userCheck.php';

header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

include './include/header.php';

if ($_GET[message])
{
	$msg = base64_decode($_GET[message]);
}

//print_r($_POST);

if ($_POST[updateLocation] == 'Update')
{
		
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[4] = $_POST[meeting_location];
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Location Updated";
	addLogUtility("Meeting Location Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if($_POST[updateMatrix] == 'Update')
{
	
	for ($numDays=0; $numDays < 7; $numDays++)
	{	
		$hoursAr = array();
		for ($numHours=0; $numHours < 24; $numHours++)
		{
			if ($_POST["Day_".$numDays."_Hours_".$numHours] == "on")
			{
				$hoursAr[] = $numHours;
			}			
		}	
		$newMatrix[] = $numDays."-".implode("/",$hoursAr);
	}
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	$userInformation[3] = implode("_",$newMatrix);
	
	$userAr[$username] = implode(",",$userInformation);
	
	$file = fopen("userInformation.txt", 'w', 1);
	$text .= implode("\n",$userAr);
	fwrite($file, $text);
	fclose($file);
	
	$msg = "Meeting Times Updated";
	addLogUtility("Meeting Times Updated by $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
}

if ($_POST[changePassword] == 'Update')
{
	
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	while (list($id,$valueStr) = each($participantsAr) )
	{
		$value = explode(",",$valueStr);
		$userAr[$value[0]] = $valueStr;
	}
	
	$userInformation = explode(",",$userAr[$username]);

	if ($userInformation[1] == $_POST[currentPassword])
	{
		if ($_POST[newPassword] == $_POST[confirmPassword])
		{
			$userInformation[1] = $_POST[newPassword];
			
			$userAr[$username] = implode(",",$userInformation);
			
			$file = fopen("userInformation.txt", 'w', 1);
			$text .= implode("\n",$userAr);
			fwrite($file, $text);
			fclose($file);
			
			$msg = "Password updated successfully";
			addLogUtility("Password Updated By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
		else
		{
			$msg = "The new passwords do not match";
			addLogUtility("Provided Password Do Not Match By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
		}
	}
	else
	{
		$msg = "The current password do not match our records";
		addLogUtility("Password Provided Do Not Match Records By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	}

}

	
	echo "<div id=adminPage><center>";
	echo "<table width=100% border=3 bordercolor=silver cellspacing=0 cellpadding=0 bgcolor=white><tr><td valign=top>";
	echo "<table width=100% bgcolor=white>";

	addLogUtility("Loaded Meeting Notes User By User $username under $php_self", $username, $ip_address, $host_computer, $logLocation);
	if (strlen($msg) > 0)
	{
		echo "<br><font size=2 color=red>$msg</font>";
	}
	echo "<form action='$php_self' method=post name=reports enctype=multipart/form-data autocomplete=off>";
	echo "<tr><td><font color=gray>Meeting Notes</font>";
	echo "</td><td align=right></td></tr>";
	echo "<tr><td colspan=2><hr></td></tr>";
	echo "<tr><td width=100%><fieldset><legend>Add New Notes</legend><ul><ol>";
	echo "<li><label><textarea name=addNewNote id=addNewNote class=\"textClass\"></textarea> </li>";
	echo "<li><input type=submit name=addNote id=addNote value='Add Note' class=\"button\"></li>";
	
	$sInfo .= "</ol></ul></fieldset></td></tr></tr></table></form>";
	
	echo $sInfo;
	
	
	$fileLocation = "./meetingNotes.txt";
	$content = file_get_contents($fileLocation);
	
	echo "<form action='$php_self' method=post name=location enctype=multipart/form-data>";
	echo "<table width=100% bgcolor=white><tr><td><fieldset><legend>Available Notes:</legend><ul><ol>";
	echo "<li>".str_replace("\n","<br>",$content);
	if(isset($_POST['addNewNote'])){
		echo "<br>".stripslashes($_POST['addNewNote'])."<br>";
	}
	echo "</li></ol></ul></fieldset></td></tr></tr></table></form>";
	
	echo "</td></tr></table>";
	
	echo "</center>";
	echo "</div>";


include './include/footer.php';
?>