<?php
	include './include/functions.php';
	include './include/WMSSettings.php';
	include './include/database.php';
	include './include/userCheck.php';

	header("Content-Type: text/plain");
	header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
	header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
	header("Cache-Control: no-cache, must-revalidate");
	header("Pragma: no-cache");


	$sInfo .= "<div class='dhx_cal_ltext' style='width:700px;height:500px;color:#000000; font-size:10px;'>";
	
	//Text
	$sInfo .= "Meeting Title:  &nbsp;&nbsp;<input type=text name=text id=text size=50 class=\"inputBox\"><br />";
	
	//Details
	$sInfo .= "Meeting Details:  &nbsp;&nbsp;<input type=text name=meeting_details id=meeting_details size=50 class=\"inputBox\"><br />";
	
	//Meeting Type
	$sInfo .= "Meeting Type:  &nbsp;&nbsp;<select name=meeting_type id=meeting_type class=\"inputSelect\"><option value='Private'>Private</option><option value='Professional'>Professional</option></select><br />";
	
	//Available Participants	
	$skypeUsers;
	$fileLocation = "./userInformation.txt";
	$content = file_get_contents($fileLocation);
	$participantsAr = explode("\n", $content);
	$sInfo .= "Available Participants:  &nbsp;&nbsp;<select name=meeting_participant id=meeting_participant class=\"inputSelect\">";
	if (count($participantsAr) > 0)
	{
		while (list($id,$valueStr) = each($participantsAr) )
		{
			$value = explode(",",$valueStr);
			$sInfo .= "<option value='$value[0]'>$value[0]</option>";	
			if (strlen($value[6]) > 0)
			{
				$skypeUsers[] = $value[6];
			}
		}
	}	
	else
	{
		$sInfo .= "<option value='0'>No Participants Available</option>";
	}
	$sInfo .= "</select><br />";
	
	//Important Participant
	$sInfo .= "Important Partcipant:  &nbsp;&nbsp;<input type=button name=addImportant id=addImportant class=\"button\" value='Add To List' onclick=\"addImportantParticipant('meeting_participant', 'important_participant');\" ><input type=button name=removeImportant id=removeImportant class=\"button\" value='Remove From List' onclick=\"removeImportantParticipant('important_participant');\" ><br />";
	
	$sInfo .= " &nbsp;&nbsp;<select size=3 name=important_participant id=important_participant class=\"inputList\"></select><br />";
	
	$sInfo .= "Message: &nbsp;&nbsp;<input type=text name=ipMessage id=ipMessage class=\"inputBox\"><input type=button name=ipEmail id=ipEmail value='Email' onclick=\"alert('Email Sent');\" class=\"button\"><br />";
	
	//Active Participant
	$sInfo .= "Active Partcipant:  &nbsp;&nbsp;<input type=button name=addActive id=addActive class=\"button\" value='Add To List' onclick=\"addImportantParticipant('meeting_participant', 'active_participant');\" ><input type=button name=removeActive id=removeActive class=\"button\" value='Remove From List' onclick=\"removeImportantParticipant('active_participant');\" ><br />";

	$sInfo .= " &nbsp;&nbsp;<select size=3 name=active_participant id=active_participant class=\"inputList\"></select><br />";
	
	$sInfo .= "Message: &nbsp;&nbsp;<input type=text name=apMessage id=apMessage class=\"inputBox\"><input type=button name=apMessage	 id=apEmail value='Email' onclick=\"alert('Email Sent');\" class=\"button\"><br />";
	
	//Regular Participant
	$sInfo .= "Regular Partcipant:  &nbsp;&nbsp;<input type=button name=addRegular id=addRegular class=\"button\" value='Add To List' onclick=\"addImportantParticipant('meeting_participant', 'regular_participant');\" ><input type=button name=removeRegular id=removeRegular class=\"button\" value='Remove From List' onclick=\"removeImportantParticipant('regular_participant');\" ><br />";

	$sInfo .= " &nbsp;&nbsp;<select size=3 name=regular_participant id=regular_participant class=\"inputList\"></select><br />";
	
	$sInfo .= "Message: &nbsp;&nbsp;<input type=text name=rpMessage id=rpMessage class=\"inputBox\"><input type=button name=rpEmail id=rpEmail value='Email' onclick=\"alert('Email Sent');\" class=\"button\"><br />";
	
	//Other Participants
	$sInfo .= "Other Participant:  &nbsp;&nbsp;(First Last (email) separted by commas)<br />";
	$sInfo .= " &nbsp;&nbsp;<input type=text size=50  name=other_participant id=other_participant class=\"inputBox\"><br />";
	
	//Location
	$fileLocation = "./locations.txt";
	$content = file_get_contents($fileLocation);
	$locationsAr = explode("\n", $content);
	$sInfo .= "Available Location:  &nbsp;&nbsp;<select name=meeting_location id=meeting_location class=\"inputSelect\">";
	if (count($locationsAr) > 0)
	{
		while(list($id,$valueStr) = each($locationsAr) )
		{
			$value = explode(",",$valueStr);
			$sInfo .= "<option value='$value[1]'>$value[1]</option>";
		}
	}
	else
	{
		$sInfo .= "<option value='0'>No Locations Available</option>";
	}
	$sInfo .= "</select><br />";
	
	//Available Days
	$sInfo .= "<table cellspacing=0 cellpadding=0><tr><th colspan=23>Available Times - (Green - Suggested Time) (Red - Unavailable Time)</th></tr>";	
	$sInfo .= "<tr><td></td>";
	for ($numHours=0; $numHours < 24; $numHours++)
	{		
		$sInfo .= "<td>$numHours</td>";			
	}
	$sInfo .= "</tr>";
	
	$DaysArray = array("0"=>"Su","1"=>"M","2"=>"T","3"=>"W","4"=>"Th","5"=>"F","6"=>"S");
	
	for ($numDays=0; $numDays < 7; $numDays++)
	{
		$sInfo .= "<tr><td>$DaysArray[$numDays]</td>";
	
		for ($numHours=0; $numHours < 24; $numHours++)
		{		
			$sInfo .= "<td><input type=input style=\"height:7px; width:7px;\" size=1 maxlength=1 disabled name=Day_".$numDays."_Hours_".$numHours." id=Day_".$numDays."_Hours_".$numHours."></td>";			
		}
		$sInfo .= "</tr>";
		
	}
	$sInfo .= "</table>";	
	$sInfo .= "<br />";
	
	$sInfo .= "<a href=./notes.php?meeting_id=1>Meeting Notes</a> | <a href=./files.php?meeting_id=1>Meeting Files</a> | <a href=\"skype:";
	if (count($skypeUsers) > 0)
	{
		$sInfo .= implode(";",$skypeUsers);
	}
	$sInfo .= "?call\" >Skype</a> | <a href=\"javascript:void(0);\" onclick=\"window.open('mms.php', 'MMS Sender', 'scrollbars=no, width=300,height=250');\"> MMS </a>";
	
	$sInfo .= "</div>";
	
	echo $sInfo;
	
	//echo "<div id=\"mmsdiv\" style=\"display:none\">Hey. Here is my dialog!</div>";
	
	
?>