<?php
$fileLocation = "./systemSettings.txt";
$logLocation = "./systemLog.txt";
$content = file_get_contents($fileLocation);
$settingsAr = explode("\r\n", $content);

$cookieExpirationTime = time() + 82800; //cookie expires in 23 hrs

while (list($id, $value) = each($settingsAr) )
{
	$varValueAr = explode("=",$value);
	//print_r($varValueAr);
	
	if ($varValueAr[0] == 'localhost' )
	{
		$localhost = $varValueAr[1];
		
		if ($_SERVER['SERVER_NAME'] != $localhost)
		{
			$fileContentsAr = $settingsAr;
			$fileContentsAr[0] = "localhost=".$_SERVER['SERVER_NAME'];
//			print_r($_SERVER['SERVER_NAME']);
			$fileLocation = "./systemSettings.txt";
		
			$text = implode($fileContentsAr, "\r\n");
			
			$file = fopen($fileLocation, 'w', 1);
			fwrite($file, $text);
			fclose($file);
			
			$timeStamp = time();
			$logLocation = "./systemLog.txt";
			$textString = "Automatic Host Name Detection Changed System Localhost from $localhost to ".$_SERVER['SERVER_NAME']." ";
			$ip_address = $_SERVER['REMOTE_ADDR'];
			$host_computer = $_SERVER['REMOTE_HOST'];
		
			$file = fopen($logLocation, 'a', 1);
			$text = date('F/d/Y g:i a', $timeStamp);
			$text .= " - $host_computer($ip_address)";
			$text .= " - $textString \r\n";
			fwrite($file, $text);
			fclose($file);
			
		}
	//	setcookie("localhost", $localhost, $cookieExpirationTime);
	}
	else if ($varValueAr[0] == 'reports_dir' )
	{
		$reports_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'files_dir' )
	{
		$files_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'print_dir' )
	{
		$print_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'email_dir' )
	{
		$email_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'license_dir' )
	{
		$license_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'logLocation' )
	{
		$logLocation = $varValueAr[1];
	}
	/*else if ($varValueAr[0] == 'system_dir' )
	{
		$system_dir = $varValueAr[1];
	}*/
	else if ($varValueAr[0] == 'utilitiesDirectory' )
	{
		$utilitiesDirectory = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'root_dir' )
	{
		$root_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'help_dir' )
	{
		$help_dir = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'ldap_addr' )
	{
		$ldap_addr = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'ldap_dom' )
	{
		$ldap_dom = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'numberOfFluids' )
	{
		$numberOfFluids = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'numberOfTanks' )
	{
		$numberOfTanks = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'facility' )
	{
		$facility = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'databasePath' )
	{
		$databasePath = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'databaseName' )
	{
		$databaseName = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'databaseUsername' )
	{
		$databaseUsername = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'databasePassword' )
	{
		$databasePassword = $varValueAr[1];
	}
	else if ($varValueAr[0] == 'databasePathDiagnostics' )
	{
		$databasePathDiagnostics = $varValueAr[1];
	}
}


$colorTrue = "gainsboro";
$colorFalse = "white";
$color0 = "white";
$color1 = "gold";
$color2 = "#C00000";
$color3 = "lightskyblue";
$color4 = "Orange";
$color5 = "Green";
$color6 = "Gray";
$color7 = "DarkRed";
$colorGreen = "Green";
$colorRed = "#C00000";
$fontColor = "class=\"TextBlack\"";
$fontColorAlt = "class=\"TextWhiteBold\"";
$fontColorAlt2 = "class=\"TextBlackBold\"";

?>
