<?php
include './include/functions.php';
include './include/WMSSettings.php';
include './include/database.php';
include './include/userCheck.php';

header("Expires: Sat, 1 Jan 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate( "D, d M Y H:i:s")."GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

//print_r($_POST);
//print_r($_GET);

$colorTrue = "gainsboro";
$colorFalse = "white";

if ($username!=false)
{
	// do nothing
}
else
{
	header("Location:  ./login.php");
}

if ($_POST['Submit'] == 'Set Values')
{

	$fluid = $_POST['FluidID'];
	$fluidFlag = $_POST['FluidFlag'];
	$fluidCutoff = $_POST['FluidCutoff'];
	$vehNewDivision = $_POST["Division"];
	
	if (strlen($_POST[EditVeh]) > 0)
	{
		$vehArray = explode(",", $_POST[EditVeh]);
		$isData = true;
	}
	else
	{
		$isData = false;
	}
	
	if ($isData == true )
	{
		while(list($id, $veh) = each($vehArray) )
		{
			$db_query = odbc_exec($db_conn, "select * from [Vehicles] where VehicleUnique='$veh';");
			$line = odbc_fetch_array($db_query);
			
			$vehDivision = $line["VehicleDivision"];
			$vehNumber = $line["VehicleNumber"];
		
			$db_query = odbc_exec($db_conn, "select * from [Vehicles] where VehicleUnique='".$vehNewDivision.$vehNumber."';");
			$line = odbc_fetch_array($db_query);
		
			if (count($line) <= 1)
			{
				$vehicleCheck = false;
			}
			else
			{
				$vehicleCheck = true;
			}
		
			if ($vehicleCheck == false)
			{
				$msgQuery = $veh.",".$vehNewDivision;
				$dateQuery = date('n/d/Y h:i:s A', time());
				$DivisionUpdateQuery = "insert into UpdateMessages (MessageType, MsgToProcess, MessageDate, MessageDelayProcessing) values (16,'$msgQuery','$dateQuery', 0);";
				//add update message to the table and let sytem controller execute it
				//odbc_exec($db_conn, $query);
				if (odbc_exec($db_conn, $DivisionUpdateQuery) )
				{
					addLogUtility("Update Division Number Message submitted for Vehicle $veh on $php_self - 16,$msgQuery", $username, $ip_address, $host_computer,$logLocation);
			
					$errMessageAr[] = "An Update Message Has Been Submitted For Vehicle $veh.  System Monitor Will Update In Next Cycle.";
				}
				else
				{
					$errMessageErrorAr[] = "Error Unable To Send Update Message For $veh.";
				}
		
			}
			else //new division and vehicle number do not exist
			{
				$errMessage .= "Error:  Vehicle $veh Under Division Already Exists On The Database.";
				$FormError++;
			}
		
		}
	}
	else
	{
		$errMessage .= "Error:  No Vehicles Selected.";
	}
	
	
	if (count($errMessageAr) > 20)
	{
		$errMessage .= count($errMessageAr)." Vehicles Updated.";
	}
	else if (count($errMessageAr) > 0)
	{
		$errMessage .= implode(" ", $errMessageAr);
	}
	
	if (count($errMessageErrorAr) > 10)
	{
		$errMessage .= count($errMessageErrorAr)." Vehicles Failed To Update.";
	}
	else if (count($errMessageErrorAr) > 0)
	{
		$errMessage .= implode(" ", $errMessageErrorAr);
	}
	
	$err = base64_encode($errMessage);
	header("Location:  index.php?errMessage=$err");
	
}

if ($_GET['errMessage'])
{
	$errMessage = base64_decode($_GET['errMessage']);
}

include './include/header.php';

$textboxProperties = "";
	

//*********************************************************************************************************************************
//							MAIN 
//*********************************************************************************************************************************
/*$query = odbc_exec($db_conn, "select * from VehicleActionTable order by ActionID;");
$xmlValues = "<data>";
$id = 1;
$counter=0;
while($line = odbc_fetch_array($query) )
{
	$id = $line[ActionID];
	
	if (strtotime($line[ProjectedDate]) < strtotime($line[ActionNextDate]) )
	{		
		$recType = $line[Recurrence];
		$endDate = $line[EndDate];
		
		if (strlen($recType) > 0)
		{
			$recurrenceAr = explode("#", $recType);
			$recurrenceArray = explode("_", $recurrenceAr[0]);
			
			if ($line[ActionInterval] == 0 || $line[ActionInterval] == 2)
			{
				
				if ($recurrenceArray[0] == "day")
				{
					$startDate = date('Y-m-d G:i:00.000', roundTimeToInterval("$line[ProjectedDate]",15));
					
				}
				else if ($recurrenceArray[0] == "week")
				{
					$startDate = date('Y-m-d G:i:00.000', roundTimeToInterval("$line[ProjectedDate]",15));
								
					$recDaysAr = explode(",", $recurrenceArray[4]);
					$recDaysDiff = 0;
					$newDaysAr = array();
					
					if (count($recDaysAr) > 0)
					{
						$recDaysDiff = abs($recDaysAr[0] - date('w', strtotime($line[ProjectedDate])));
					}
					
					for ($i=0; $i<count($recDaysAr); $i++)
					{							
						//alert(recDaysAr[i] + " - " + recDaysDiff);
						
						 if ( ($recDaysAr[$i] - $recDaysDiff) >= 0)
						{
							//alert(Number(recDaysAr[i]) - Number(recDaysDiff));
							$newDaysAr[] = $recDaysAr[$i] - $recDaysDiff;
						}
						else
						{
							//alert(Number(7) - Number(recDaysDiff));
							$newDaysAr[] = 7 - $recDaysDiff;
						}
							
						
					}
					
					sort($newDaysAr);
					
					$newDays = implode(",", $newDaysAr);
					$recurrenceArray[4] = $newDays;
					
					$newRecType = implode("_", $recurrenceArray);					
					$newRecType = $newRecType."#".$recurrenceAr[1];
					
					$recType = $newRecType;
					
				}
				else if ($recurrenceArray[0] == "month")
				{
					$startDate = date('Y-m-d G:i:00.000', roundTimeToInterval("$line[ProjectedDate]",15));
					
					$recDays = $recurrenceArray[2];							
					$newDays = date('w', strtotime($line[ProjectedDate]));
					
					$recurrenceArray[2] = $newDays;
					$newRecType = implode("_",$recurrenceArray);
					
					$recType = $newRecType."#".$recurrenceAr[1];

				}
				else if ($recurrenceArray[0] == "year")
				{
					$startDate = date('Y-m-d G:i:00.000', roundTimeToInterval("$line[ProjectedDate]",15));
					
					$recDays = $recurrenceArray[2];							
					$newDays = date('w', strtotime($line[ProjectedDate]));
					
					$recurrenceArray[2] = $newDays;
					$newRecType = implode("_",$recurrenceArray);
					
					$recType = $newRecType."#".$recurrenceAr[1];
				}
				
			}
		}
		else
		{
			$newInterval = strtotime($line[EndDate]) - strtotime($line[StartDate]);
			$newDate = roundTimeToInterval("$line[ProjectedDate]",15);
			
			$startDate = date('Y-m-d G:i:00.000', $newDate);
			$endDate = date('Y-m-d G:i:00.000', ($newDate + $newInterval));
			
		}
	}
	else
	{
		$startDate = $line[StartDate];
		$endDate = $line[EndDate];
		$recType = $line[Recurrence];
	}

	$xmlValues .= "<event id=\"$id\">";
	
	//Start Date
	$xmlValues .= "<start_date><![CDATA[$startDate]]></start_date>";
	
	//End Date
	$xmlValues .= "<end_date><![CDATA[$endDate]]></end_date>";
	
	//Projected Date
	$xmlValues .= "<projected_date>".date('m/d/Y h:i:s A', strtotime($line[ProjectedDate]))."</projected_date>";
	
	//Text
	$xmlValues .= "<text><![CDATA[$line[EventTitle]]]></text>";
	$xmlValues .= "<details><![CDATA[$line[EventTitle]]]></details>";
	
	if (strlen($recType) > 0)
	{
		//Rec Type
		$xmlValues .= "<rec_type>$recType</rec_type>";
		
		//Event Lenght
		$xmlValues .= "<event_length>$line[EventLength]</event_length>";
	}
	
	//MilesRun
	$xmlValues .= "<miles_run>$line[MilesRun]</miles_run>";
	
	//NextDate
	$xmlValues .= "<next_date>".date('m/d/Y h:i:s A', strtotime($line[ActionNextDate]))."</next_date>";
	
	//NextOdometer
	$xmlValues .= "<next_odometer>$line[NextOdometer]</next_odometer>";
	
	//MileageInterval
	$xmlValues .= "<mileage_interval>$line[ActionMileageInterval]</mileage_interval>";
	
	//VehicleNumber
	$xmlValues .= "<vehicle_number>$line[ActionVehicleUnique]</vehicle_number>";
	
	//VehicleAction
	$xmlValues .= "<vehicle_action>$line[ActionCode]</vehicle_action>";
	
	//ActionInterval
	$xmlValues .= "<action_interval>$line[ActionInterval]</action_interval>";
	
	//VehicleDivision
	$queryDiv = odbc_exec($db_conn, "select VehicleDivision from Vehicles where VehicleNumber='$line[ActionVehicleUnique]';");
	$vehicleDivision = odbc_fetch_array($queryDiv);
	$xmlValues .= "<vehicle_division>$vehicleDivision[VehicleDivision]</vehicle_division>";
	
	$xmlValues .= "</event>";
	$counter++;
}
$xmlValues .= "</data>";

$file = fopen("events.xml", 'w', 1);
fwrite($file, $xmlValues);
fclose($file);*/

echo "<br>";
$sInfo .= "Meeting Scheduler<hr>";
$sInfo .= "<p class=\"TextError\">$errMessage</p>";
$sInfo .= "<input type=hidden name=EventActionID id=EventActionID>";
$sInfo .= "<div name=statusDiv id=statusDiv ></div>";
//$sInfo .= "<a href=\"#\" title=\"Print Vehicles Activity Scheduler Report\" onclick=\"OpenReport('VehActivitySchReport');\"><img src=\"/images/printer.png\" height=20></a>";
/*$sInfo .= "<table class=\"Custom\"><tr><th>Instructions</th></tr>";
$sInfo .= "<tr><td>1.  Select Desired Vehicles You Wish To Update From Table.  Gray Highlight Shows Vehicle Is Selected.</td></tr>";
$sInfo .= "<tr><td>2.  Select The Division You Want To Move Them Into.</td></tr>";
$sInfo .= "<tr><td>3.  Click On Set Values To Move Selected Vehicles.  Editing A Cell Does Not Modify Any Records.</td></tr>";
$sInfo .= "<tr><td>";
$sInfo .= "<input type=hidden name=VehCounter id=VehCounter value='$counter'><div id=loading></div>";
$sInfo .= "</td></tr>";
$sInfo .= "</table>";*/

/*$sInfo .= "<form action='$php_self' method=post name=addUser enctype=multipart/form-data>";
$sInfo .= "<input type=hidden name=EditVeh id=EditVeh>";
$sInfo .= "<table width=100%>";
$sInfo .= "<tr><td valign=top width=52%>";
$sInfo .= "<div id=mainTable style=\" height:500px; overflow: auto; \" >";
$header = "Division,Vehicle Number";
$sInfo .= "<div id=gridbox width=100% height=500px style=\"background-color:white;\"></div>";
$sInfo .= "</div>";
$sInfo .= "</td>";

$sInfo .= "<td valign=top>";
$sInfo .= "<div id=control style=\" height:300px;\">";
$sInfo .= "<table class=\"Custom\">";
$sInfo .= "<tr><th>Division ID-Division Description</th></tr>";
$query = odbc_exec($db_conn, "select DivisionID, DivisionFacilityDivisionName from DivisionInformation;");
$sInfo .= "<tr><td>";
$sInfo .= "<select size=15 name=Division id=Division $textboxProperties >";
$strOp = " selected ";
while($line = odbc_fetch_array($query) )
{
	$sInfo .= "<option $strOp value='$line[DivisionID]'>$line[DivisionID] - $line[DivisionFacilityDivisionName]</option>";
	$strOp = " ";
}
$sInfo .= "</select>";
$sInfo .= "</td></tr>";
$sInfo .= "<tr><td><input type=$adminHidden $adminDisabled class=\"button\" name=Submit id=Submit value='Set Values'</td></tr>";
$sInfo .= "</table>";
$sInfo .= "</div>";
$sInfo .= "</td></tr>";
$sInfo .= "</table>";
$sInfo .= "</form>";*/


echo $sInfo;

echo "<div id=\"scheduler_here\" class=\"dhx_cal_container\" style='width:100%; height:100%;'>
		<div class=\"dhx_cal_navline\">
			<div class=\"dhx_cal_prev_button\">&nbsp;</div>
			<div class=\"dhx_cal_next_button\">&nbsp;</div>
			<div class=\"dhx_cal_today_button\"></div>
			<div class=\"dhx_cal_date\"></div>
			<div class=\"dhx_cal_tab\" name=\"day_tab\" style=\"right:204px;\"></div>
			<div class=\"dhx_cal_tab\" name=\"week_tab\" style=\"right:140px;\"></div>
			<div class=\"dhx_cal_tab\" name=\"month_tab\" style=\"right:76px;\"></div>
		</div>
		<div class=\"dhx_cal_header\">
		</div>
		<div class=\"dhx_cal_data\">
		</div>		
	</div>";
		
echo "<script>init();</script>";

function roundTimeToInterval( $dateValueString, $interval )
{	
		$dateValue = strtotime($dateValueString);

        $minNumber = date('i', $dateValue);
        $hNumber = date('G', $dateValue);
		
        $minNumber = $minNumber + ($interval - $minNumber % $interval);
        $hNumber += intval($minNumber / 60);
        $minNumber = ($minNumber % 60) - $interval;
		
        $newDate = strtotime(date('m/d/Y ', $dateValue)." $hNumber:$minNumber");

        return $newDate;
}

include './include/footer.php';