


function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}




function toggleView(divOne, divTwo)
{
	oDivOne = document.getElementById(divOne);
	oDivTwo = document.getElementById(divTwo);
	
	if (oDivOne.style.display == "none" )
	{
		$('#' + divOne).show('fast');
		$('#' + divTwo).hide('fast');
	}
	else
	{
		$('#' + divOne).hide('fast');	
		$('#' + divTwo).show('fast');
	}
	
}

function showView(divOne)
{
	oDivOne = document.getElementById(divOne);
	
	if (oDivOne.style.display == "none" )
	{
		$('#' + divOne).show('fast');
	}
	else
	{
		$('#' + divOne).hide('fast');	
	}
	
}



function init() {
	
		setTimeout(reloadEvents, 20000);

		//var DivStr = " ";
		var urlStr = "GetEventData.php";

		var oXmlHttp = zXmlHttp.createRequest();
			
		oXmlHttp.open("get", urlStr, true);
			oXmlHttp.onreadystatechange = function () {
				if (oXmlHttp.readyState == 4) {
					if (oXmlHttp.status == 200) {
						DivStr = oXmlHttp.responseText;
					} else {
						DivStr = oXmlHttp.statusText; //statusText is not always accurate
					}
				}
			};
			oXmlHttp.send(null);
		
		//return DivStr;
		
		/*scheduler.config.xml_date="%Y-%m-%d %H:%i";
		
		scheduler.config.details_on_create=true;
		scheduler.config.details_on_dblclick=true;
		
		scheduler.config.show_loading=true;
		scheduler.setLightboxSize();

		scheduler.init('scheduler_here',null,"month");*/
		
		scheduler.config.xml_date="%Y-%m-%d %H:%i";
		scheduler.config.details_on_create=true;
		scheduler.config.details_on_dblclick=true;
		scheduler.config.drag_move=false;
		
		//scheduler.config.multi_day=false;
		
		//scheduler.config.show_loading=true;
		
		scheduler.init('scheduler_here',null,"week");
		scheduler.load("./events.xml?randomDate=" + (new Date()).valueOf());

		
		scheduler.templates.event_class=function(start,end,event){
			//alert(event.next_date);
			
			if (event.conflict == "True") //if date in past
			{
				return "overdue_event"; //then set special css class for it
			}
			else
			{
				return "past_event";
			}
			
			
			
		}
		
		scheduler.form_blocks["my_editor"]={
			render:function(sns){				
				return DivStr;
				//return "<div class='dhx_cal_ltext' style='height:60px;'>Text&nbsp;<input type='text'><br/>Details&nbsp;<input type='text'></div>";
			},
			set_value:function(node,value,ev){
				//alert(ev.next_odometer);
				
				if (ev.text != "New event")
				{
				
					//title
					node.childNodes[1].value=ev.text;			
					
					//meeting_details
					document.getElementById("meeting_details").value=ev.meeting_details;
					
					//meeting_type
					document.getElementById("meeting_type").value=ev.meeting_type;
					
					//important_participant
					document.getElementById("important_participant").length = 0;
					var oIP = ev.important_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("important_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
					
					//active_participant
					var oIP = null;
					var oIPAr = null;
					var oIPList = null;
					document.getElementById("active_participant").length = 0;
					var oIP = ev.active_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("active_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
									
					//regular_participant
					var oIP = null;
					var oIPAr = null;
					var oIPList = null;
					document.getElementById("regular_participant").length = 0;
					var oIP = ev.regular_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("regular_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
					
					//other_participant
					document.getElementById("other_participant").value = ev.other_participant;

					//meeting_location
					document.getElementById("meeting_location").value = ev.meeting_location;
					
					conflictMatrix('important_participant','active_participant','regular_participant');
					
					//node.childNodes[1].value=value||"";
					//node.childNodes[4].value=ev.details||"";
				}
				else
				{
					
					//focus on event id
					
					//title
					node.childNodes[1].value=ev.text;
					
					//meeting_details
					document.getElementById("meeting_details").value="";
					
					//meeting_type
					document.getElementById("meeting_type").value= "";
					
					//important_participant
					document.getElementById("important_participant").length = 0;
					
					//active_participant
					document.getElementById("active_participant").length = 0;
									
					//regular_participant
					document.getElementById("regular_participant").length = 0;
					
					//other_participant
					document.getElementById("other_participant").value = "";

					//other_participant
					document.getElementById("other_participant").value = "";
					
					for (numDays=0; numDays < 7; numDays++)
					{
						for (numHours=0; numHours < 24; numHours++)
						{		
							document.getElementById("Day_" + numDays + "_Hours_" + numHours).style.background = "#FFFFFF";
						}
					}
					
				}
			},
			get_value:function(node,ev){
				/*alert("get");
				ev.location = node.childNodes[4].value;
				return node.childNodes[1].value;*/
			},
			focus:function(node){
				alert("focus");
				var a=node.childNodes[1]; a.select(); a.focus(); 
			}
		}
		scheduler.config.lightbox.sections=[	
			{ name:"description", height:400, map_to:"text", type:"my_editor" , focus:false},
			{name:"recurring", height:115, type:"recurring", map_to:"rec_type", button:"recurring"},
			{ name:"time", height:72, type:"time", map_to:"auto"}	
		]
		
		scheduler.attachEvent("onEventAdded", function(event_id,event_object){
													   						
					var meeting_details = document.getElementById("meeting_details");
					
					var meeting_type = document.getElementById("meeting_type");
					
					oIP = document.getElementById("important_participant");
					oIPAr = new Array();
					for (i=0; i<oIP.length;i++)
					{
						oIPAr.push(oIP.options[i].value);
					}
					
					if (oIPAr.length > 0)
					{
						var important_participant = oIPAr.join("/");
					}
					else
					{
						var important_participant = "";
					}
					
					oAP = document.getElementById("active_participant");
					oAPAr = new Array();
					for (i=0; i<oAP.length;i++)
					{
						oAPAr.push(oAP.options[i].value);
					}
					
					if (oAPAr.length > 0)
					{
						var active_participant = oAPAr.join("/");
					}
					else
					{
						var active_participant = "";
					}
					
					oRP = document.getElementById("regular_participant");
					oRPAr = new Array();
					for (i=0; i<oRP.length;i++)
					{
						oRPAr.push(oRP.options[i].value);
					}
					
					if (oRPAr.length > 0)
					{
						var regular_participant = oRPAr.join("/");
					}
					else
					{
						var regular_participant = "";
					}
					
					var other_participant = document.getElementById("other_participant");
					var meeting_location = document.getElementById("meeting_location");

					if (event_object.rec_type)
					{
						var recurrenceAr = event_object.rec_type.split("#");
						var recurrence = recurrenceAr[0];
						var recurrenceDate = recurrenceAr[1];
					}
					else
					{
						var recurrence = "";
						var recurrenceDate = "";
					}
					
					var newStartDateHour = document.getElementById('timeHour').value;
					var newStartDateDay = document.getElementById('timeDay').value;
					var newStartDateMonth = Number(document.getElementById('timeMonth').value) + 1;
					var newStartDateYear = document.getElementById('timeYear').value;
					
					//alert(new String(Number(newStartDateHour)/60) + ":" + new String(Number(newStartDateHour) % 60));			
					
					var newRecStartDate = new Date(new String(newStartDateMonth) + "/" + new String(newStartDateDay) + "/" + new String(newStartDateYear) + " " + new String(divideNumber(newStartDateHour,60)) + ":" + new String(Number(newStartDateHour) % 60));
					
					
					event_object.start_date = newRecStartDate;
					
					var startDate = strtotime(new String(event_object.start_date));
					var endDate = strtotime(new String(event_object.end_date));
					var eventLength = event_object.event_length;
					var eventTitle = document.getElementById("text").value;
					var processAction = "AddEvent";									
					
					var ActionStr = "text=" + eventTitle + "&meeting_details=" + meeting_details.value + "&meeting_type=" + meeting_type.value + "&important_participant=" + important_participant + "&active_participant=" + active_participant + "&regular_participant=" + regular_participant + "&other_participant=" + other_participant.value + "&meeting_location=" + meeting_location.value + "&recurrence=" + recurrence + "&recurrenceDate=" + recurrenceDate + "&startDate=" + startDate + "&endDate=" + endDate + "&eventLength=" + eventLength + "&eventTitle=" + eventTitle + "&processAction=" + processAction;					
					
					var urlStr = "./GetData.php?" + ActionStr;

					var oXmlHttp = zXmlHttp.createRequest();
						
					oXmlHttp.open("get", urlStr, true);
						oXmlHttp.onreadystatechange = function () {
							if (oXmlHttp.readyState == 4) {
								if (oXmlHttp.status == 200) {
									DivStr = oXmlHttp.responseText;
									
									if (DivStr == "Fail")
									{
										//alert("Failed To Add Event" + DivStr);
										document.getElementById("statusDiv").innerHTML="<p class=\"TextError\">Failed To Add Event.</p>";
									}
									else
									{
										//alert("Event Added To System" + DivStr);
										document.getElementById("statusDiv").innerHTML="<p class=\"TextClass\">Event Successfully Added.</p>";
										
										scheduler.clearAll();
										scheduler.load("./events.xml?randomDate=" + (new Date()).valueOf());
										
									}
								} else {
									DivStr = oXmlHttp.statusText; //statusText is not always accurate
								}
							}
						};
						oXmlHttp.send(null);
					
          });
		
		
		scheduler.attachEvent("onBeforeEventDelete", function(event_id,event_object){
                    //alert("event delete" + event_id);
					
					var processAction = "DeleteEvent";
					
					var id_full = event_id;
					var id = event_id.split("#")[0];
					
					
					var ActionStr = "processAction=" + processAction + "&eventID=" + id + "&eventIDFull=" + id_full;
					
					var urlStr = "./GetData.php?" + ActionStr;

					var oXmlHttp = zXmlHttp.createRequest();
						
					oXmlHttp.open("get", urlStr, true);
						oXmlHttp.onreadystatechange = function () {
							if (oXmlHttp.readyState == 4) {
								if (oXmlHttp.status == 200) {
									DivStr = oXmlHttp.responseText;
									
									if (DivStr == "Fail")
									{
										//alert("Failed To Delete Event" + DivStr);
										document.getElementById("statusDiv").innerHTML="<p class=\"TextError\">Unable To Delete Event.</p>";
									}
									else
									{
										//alert("Event Deleted From System" + DivStr);
										document.getElementById("statusDiv").innerHTML="<p class=\"TextClass\">Event Successfully Deleted.</p>";
										scheduler.clearAll();
										scheduler.load("./events.xml?randomDate=" + (new Date()).valueOf());
									}
								} else {
									DivStr = oXmlHttp.statusText; //statusText is not always accurate
								}
							}
						};
						oXmlHttp.send(null);
          });
		
		scheduler.attachEvent("onEventChanged", function(event_id,event_object){
                   	var meeting_details = document.getElementById("meeting_details");
					
					var meeting_type = document.getElementById("meeting_type");
					
					oIP = document.getElementById("important_participant");
					oIPAr = new Array();
					for (i=0; i<oIP.length;i++)
					{
						oIPAr.push(oIP.options[i].value);
					}
					
					if (oIPAr.length > 0)
					{
						var important_participant = oIPAr.join("/");
					}
					else
					{
						var important_participant = "";
					}
					
					oAP = document.getElementById("active_participant");
					oAPAr = new Array();
					for (i=0; i<oAP.length;i++)
					{
						oAPAr.push(oAP.options[i].value);
					}
					
					if (oAPAr.length > 0)
					{
						var active_participant = oAPAr.join("/");
					}
					else
					{
						var active_participant = "";
					}
					
					oRP = document.getElementById("regular_participant");
					oRPAr = new Array();
					for (i=0; i<oRP.length;i++)
					{
						oRPAr.push(oRP.options[i].value);
					}
					
					if (oRPAr.length > 0)
					{
						var regular_participant = oRPAr.join("/");
					}
					else
					{
						var regular_participant = "";
					}
					
					var other_participant = document.getElementById("other_participant");
					var meeting_location = document.getElementById("meeting_location");

					if (event_object.rec_type)
					{
						var recurrenceAr = event_object.rec_type.split("#");
						var recurrence = recurrenceAr[0];
						var recurrenceDate = recurrenceAr[1];
					}
					else
					{
						var recurrence = "";
						var recurrenceDate = "";
					}
					
					var newStartDateHour = document.getElementById('timeHour').value;
					var newStartDateDay = document.getElementById('timeDay').value;
					var newStartDateMonth = Number(document.getElementById('timeMonth').value) + 1;
					var newStartDateYear = document.getElementById('timeYear').value;
					
					//alert(new String(Number(newStartDateHour)/60) + ":" + new String(Number(newStartDateHour) % 60));			
					
					var newRecStartDate = new Date(new String(newStartDateMonth) + "/" + new String(newStartDateDay) + "/" + new String(newStartDateYear) + " " + new String(divideNumber(newStartDateHour,60)) + ":" + new String(Number(newStartDateHour) % 60));
					
					event_object.start_date = newRecStartDate;
					
					var startDate = strtotime(new String(event_object.start_date));
					var endDate = strtotime(new String(event_object.end_date));
					var eventLength = event_object.event_length;
					var eventTitle = document.getElementById("text").value;
					var processAction = "EditEvent";		
					
					var id_full = event_id;
					var id = event_id.split("#")[0];
					
					
					var ActionStr = "text=" + eventTitle + "&meeting_details=" + meeting_details.value + "&meeting_type=" + meeting_type.value + "&important_participant=" + important_participant + "&active_participant=" + active_participant + "&regular_participant=" + regular_participant + "&other_participant=" + other_participant.value + "&meeting_location=" + meeting_location.value + "&recurrence=" + recurrence + "&recurrenceDate=" + recurrenceDate + "&startDate=" + startDate + "&endDate=" + endDate + "&eventLength=" + eventLength + "&eventTitle=" + eventTitle + "&processAction=" + processAction + "&eventID=" + id;					
					
					//alert(ActionStr);
					
					var urlStr = "./GetData.php?" + ActionStr;

					var oXmlHttp = zXmlHttp.createRequest();
						
					oXmlHttp.open("get", urlStr, true);
						oXmlHttp.onreadystatechange = function () {
							if (oXmlHttp.readyState == 4) {
								if (oXmlHttp.status == 200) {
									DivStr = oXmlHttp.responseText;									
									
									if (DivStr == "Fail")
									{
										document.getElementById("statusDiv").innerHTML="<p class=\"TextError\">Unable To Modify Event.</p>";
									}
									else
									{
										document.getElementById("statusDiv").innerHTML="<p class=\"TextClass\">Event Successfully Modified.</p>";
										scheduler.clearAll();
										scheduler.load("./events.xml?randomDate=" + (new Date()).valueOf());
										//scheduler.changeEventId(event_id,DivStr);
									}
								} else {
									DivStr = oXmlHttp.statusText; //statusText is not always accurate
								}
							}
						};
						oXmlHttp.send(null);
          });
		
		
		/*scheduler.attachEvent("onXLS", function (){
       			alert ("loading");
		  });*/
		
		scheduler.attachEvent("onClick", function (event_id, native_event_object){
				
				document.getElementById("EventActionID").value = event_id;
		  });
		
		
		scheduler.attachEvent("onEventCancel", function(event_id){
                    //set all information back
					
				ev = scheduler.getEvent(event_id);
				
				if (ev.text != "New event")
				{
				
					//meeting_details
					document.getElementById("meeting_details").value=ev.meeting_details;
					
					//meeting_type
					document.getElementById("meeting_type").value=ev.meeting_type;
					
					//important_participant
					document.getElementById("important_participant").length = 0;
					var oIP = ev.important_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("important_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
					
					//active_participant
					var oIP = null;
					var oIPAr = null;
					var oIPList = null;
					document.getElementById("active_participant").length = 0;
					var oIP = ev.active_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("active_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
									
					//regular_participant
					var oIP = null;
					var oIPAr = null;
					var oIPList = null;
					document.getElementById("regular_participant").length = 0;
					var oIP = ev.regular_participant;
					var oIPAr = oIP.split("/");
					oIPList = document.getElementById("regular_participant");
					
					for (i=0; i<oIPAr.length; i++)
					{
						oIPList.options[i] = new Option(oIPAr[i], oIPAr[i]);
					}
					
					//other_participant
					document.getElementById("other_participant").value = ev.other_participant;

					//meeting_location
					document.getElementById("meeting_location").value = ev.meeting_location;
					
					ev.conflict = conflictMatrix('important_participant','active_participant','regular_participant');
					
					//node.childNodes[1].value=value||"";
					//node.childNodes[4].value=ev.details||"";
				}
				else
				{
					
					//focus on event id
										
					//meeting_details
					document.getElementById("meeting_details").value="";
					
					//meeting_type
					document.getElementById("meeting_type").value="";
					
					//important_participant
					document.getElementById("important_participant").length = 0;
					
					//active_participant
					document.getElementById("active_participant").length = 0;
									
					//regular_participant
					document.getElementById("regular_participant").length = 0;
					
					//other_participant
					document.getElementById("other_participant").value = "";

					//other_participant
					document.getElementById("other_participant").value = "";
					
					for (numDays=0; numDays < 7; numDays++)
					{
						for (numHours=0; numHours < 24; numHours++)
						{		
							document.getElementById("Day_" + numDays + "_Hours_" + numHours).style.background = "#FFFFFF";
						}
					}
					
				}
				
				
		  });
		
		//scheduler.load("GetData.php?uid="+scheduler.uid());
		
		//var dp = new dataProcessor("GetData.php");
		//dp.init(scheduler);
		
	}
	
function selectVehicle(divisionNumber,vehicleNumber)
{
	oDiv = document.getElementById(divisionNumber);
	oVeh = document.getElementById(vehicleNumber);
	
	var VehStr = " ";
	
	//Get Vehicle List	
	var urlStr = "GetVehList.php?Division=" + oDiv.value;

	var oXmlHttp = zXmlHttp.createRequest();
		
	oXmlHttp.open("get", urlStr, true);
		oXmlHttp.onreadystatechange = function () {
			if (oXmlHttp.readyState == 4) {
				if (oXmlHttp.status == 200) {
					VehStr = oXmlHttp.responseText;
					
					var VehAr = VehStr.split("/");
	
					oVeh.length = 0;
					oVeh.options[0] = new Option('', 'NULL');
					
					for (i=1; i < VehAr.length; i++)
					{						
						oVeh.options[oVeh.length] = new Option(VehAr[i], VehAr[i]);
					}					
				} else {
					VehStr = oXmlHttp.statusText; //statusText is not always accurate
				}
			}
		};
		oXmlHttp.send(null);
	
}

function selectVehicleOp(divisionNumber,vehicleNumber,vehNumber)
{
	oDiv = document.getElementById(divisionNumber);
	oVeh = document.getElementById(vehicleNumber);
	
	var VehStr = " ";
	
	//Get Vehicle List	
	var urlStr = "GetVehList.php?Division=" + oDiv.value;

	var oXmlHttp = zXmlHttp.createRequest();
		
	oXmlHttp.open("get", urlStr, true);
		oXmlHttp.onreadystatechange = function () {
			if (oXmlHttp.readyState == 4) {
				if (oXmlHttp.status == 200) {
					VehStr = oXmlHttp.responseText;
					
					var VehAr = VehStr.split("/");
	
					oVeh.length = 0;
					oVeh.options[0] = new Option('', 'NULL');
					
					for (i=1; i < VehAr.length; i++)
					{						
						oVeh.options[oVeh.length] = new Option(VehAr[i], VehAr[i]);
					}
					
					oVeh.value = vehNumber;
					
				} else {
					VehStr = oXmlHttp.statusText; //statusText is not always accurate
				}
			}
		};
		oXmlHttp.send(null);
	
}

function getOdometer(vehicleNumber, odometer)
{
	oVeh = document.getElementById(vehicleNumber);
	oOdo = document.getElementById(odometer);
	
	if (oVeh.value != 'NULL')
	{
		
		//Get Vehicle List	
		/*var urlStr = "GetVehOdo.php?Vehicle=" + oVeh.value;
	
		var oXmlHttp = zXmlHttp.createRequest();
			
		oXmlHttp.open("get", urlStr, true);
			oXmlHttp.onreadystatechange = function () {
				if (oXmlHttp.readyState == 4) {
					if (oXmlHttp.status == 200) {
						oOdo.value = oXmlHttp.responseText;
						
					} else {
						//VehStr = oXmlHttp.statusText; //statusText is not always accurate
					}
				}
			};
			oXmlHttp.send(null);*/
			
		oOdo.value = "0";
			
		var w = document.getElementById("vehAction").selectedIndex;
			
		document.getElementById("text").value = oVeh.value + " - " + document.getElementById("vehAction").options[w].text;
	}
	else
	{
		oOdo.value = "0";
	}

}

function nextOdometer(odometer, interval, nextOdometer)
{
	oNextOdometer = document.getElementById(nextOdometer);
	oOdometer = document.getElementById(odometer);
	oInterval = document.getElementById(interval);
	
	var odometer = Number(oOdometer.value);
	var interval = Number(oInterval.value)
	
	var nextOdometer = odometer + interval;
	
	oNextOdometer.value = Math.round(nextOdometer*100)/100;
	
	var w = document.getElementById("vehAction").selectedIndex;

	document.getElementById("text").value = document.getElementById("vehicleNumber").value + " - " + document.getElementById("vehAction").options[w].text;
}

 function strtotime(str, now) {  
     // Convert string representation of date and time to a timestamp    
     //   
     // version: 902.2516  
     // discuss at: http://phpjs.org/functions/strtotime  
     // +   original by: Caio Ariede (http://caioariede.com)  
     // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)  
     // +      input by: David  
     // +   improved by: Caio Ariede (http://caioariede.com)  
     // %        note 1: Examples all have a fixed timestamp to prevent tests to fail because of variable time(zones)  
     // *     example 1: strtotime('+1 day', 1129633200);  
     // *     returns 1: 1129719600  
     // *     example 2: strtotime('+1 week 2 days 4 hours 2 seconds', 1129633200);  
     // *     returns 2: 1130425202  
     // *     example 3: strtotime('last month', 1129633200);  
     // *     returns 3: 1127041200  
     // *     example 4: strtotime('2009-05-04 08:30:00');  
     // *     returns 4: 1241418600  
     var i, match, s, strTmp = '', parse = '';  

     strTmp = str;  
     strTmp = strTmp.replace(/\s{2,}|^\s|\s$/g, ' '); // unecessary spaces  
     strTmp = strTmp.replace(/[\t\r\n]/g, ''); // unecessary chars  
   
     if (strTmp == 'now') {  
         return (new Date()).getTime();  
     } else if (!isNaN(parse = Date.parse(strTmp))) {  
         return parse/1000;  
     } else if (now) {  
         now = new Date(now);  
     } else {  
         now = new Date();  
     }  
   
     strTmp = strTmp.toLowerCase();  
   
     var process = function (m) {  
         var ago = (m[2] && m[2] == 'ago');  
         var num = (num = m[0] == 'last' ? -1 : 1) * (ago ? -1 : 1);  
   
         switch (m[0]) {  
             case 'last':  
             case 'next':  
                 switch (m[1].substring(0, 3)) {  
                     case 'yea':  
                         now.setFullYear(now.getFullYear() + num);  
                         break;  
                     case 'mon':  
                         now.setMonth(now.getMonth() + num);  
                         break;  
                     case 'wee':  
                         now.setDate(now.getDate() + (num * 7));  
                         break;  
                     case 'day':  
                         now.setDate(now.getDate() + num);  
                         break;  
                     case 'hou':  
                         now.setHours(now.getHours() + num);  
                         break;  
                     case 'min':  
                         now.setMinutes(now.getMinutes() + num);  
                         break;  
                     case 'sec':  
                         now.setSeconds(now.getSeconds() + num);  
                         break;  
                     default:  
                         var day;  
                         if (typeof (day = __is_day[m[1].substring(0, 3)]) != 'undefined') {  
                             var diff = day - now.getDay();  
                             if (diff == 0) {  
                                 diff = 7 * num;  
                             } else if (diff > 0) {  
                                 if (m[0] == 'last') diff -= 7;  
                             } else {  
                                 if (m[0] == 'next') diff += 7;  
                             }  
   
                             now.setDate(now.getDate() + diff);  
                         }  
                 }  
   
                 break;  
   
             default:  
                 if (/\d+/.test(m[0])) {  
                     num *= parseInt(m[0]);  
   
                     switch (m[1].substring(0, 3)) {  
                         case 'yea':  
                             now.setFullYear(now.getFullYear() + num);  
                             break;  
                         case 'mon':  
                             now.setMonth(now.getMonth() + num);  
                             break;  
                         case 'wee':  
                             now.setDate(now.getDate() + (num * 7));  
                             break;  
                         case 'day':  
                             now.setDate(now.getDate() + num);  
                             break;  
                         case 'hou':  
                             now.setHours(now.getHours() + num);  
                             break;  
                         case 'min':  
                             now.setMinutes(now.getMinutes() + num);  
                             break;  
                         case 'sec':  
                             now.setSeconds(now.getSeconds() + num);  
                             break;  
                     }  
                 } else {  
                     return false;  
                 }  
   
                 break;  
         }  
   
         return true;  
     }  
   
     var __is =  
     {  
         day:  
         {  
             'sun': 0,  
             'mon': 1,  
             'tue': 2,  
             'wed': 3,  
             'thu': 4,  
             'fri': 5,  
             'sat': 6  
         },  
         mon:  
         {  
             'jan': 0,  
             'feb': 1,  
             'mar': 2,  
             'apr': 3,  
             'may': 4,  
             'jun': 5,  
             'jul': 6,  
             'aug': 7,  
             'sep': 8,  
             'oct': 9,  
             'nov': 10,  
             'dec': 11  
         }  
     }  
   
     match = strTmp.match(/^(\d{2,4}-\d{2}-\d{2})(\s\d{1,2}:\d{1,2}(:\d{1,2})?)?$/);  
   
     if (match != null) {  
         if (!match[2]) {  
             match[2] = '00:00:00';  
         } else if (!match[3]) {  
             match[2] += ':00';  
         }  
   
         s = match[1].split(/-/g);  
   
         for (i in __is.mon) {  
             if (__is.mon[i] == s[1] - 1) {  
                 s[1] = i;  
             }  
         }  
   
         return strtotime(s[2] + ' ' + s[1] + ' ' + s[0] + ' ' + match[2]);  
     }  
   
     var regex = '([+-]?\\d+\\s'  
     + '(years?|months?|weeks?|days?|hours?|min|minutes?|sec|seconds?'  
     + '|sun\.?|sunday|mon\.?|monday|tue\.?|tuesday|wed\.?|wednesday'  
     + '|thu\.?|thursday|fri\.?|friday|sat\.?|saturday)'  
     + '|(last|next)\\s'  
     + '(years?|months?|weeks?|days?|hours?|min|minutes?|sec|seconds?'  
     + '|sun\.?|sunday|mon\.?|monday|tue\.?|tuesday|wed\.?|wednesday'  
     + '|thu\.?|thursday|fri\.?|friday|sat\.?|saturday))'  
     + '(\\sago)?';  
   
     match = strTmp.match(new RegExp(regex, 'g'));  
   
     if (match == null) {  
         return false;  
     }  
   
     for (i in match) {  
         if (!process(match[i].split(' '))) {  
             return false;  
         }  
     }  
   
     return (now);  
 }
 
 var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";

function encode64(input) {
	var output = new StringMaker();
	var chr1, chr2, chr3;
	var enc1, enc2, enc3, enc4;
	var i = 0;

	while (i < input.length) {
		chr1 = input.charCodeAt(i++);
		chr2 = input.charCodeAt(i++);
		chr3 = input.charCodeAt(i++);

		enc1 = chr1 >> 2;
		enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
		enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
		enc4 = chr3 & 63;

		if (isNaN(chr2)) {
			enc3 = enc4 = 64;
		} else if (isNaN(chr3)) {
			enc4 = 64;
		}

		output.append(keyStr.charAt(enc1) + keyStr.charAt(enc2) + keyStr.charAt(enc3) + keyStr.charAt(enc4));
   }
   
   return output.toString();
}

function decode64(input) {
	var output = new StringMaker();
	var chr1, chr2, chr3;
	var enc1, enc2, enc3, enc4;
	var i = 0;

	// remove all characters that are not A-Z, a-z, 0-9, +, /, or =
	input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");

	while (i < input.length) {
		enc1 = keyStr.indexOf(input.charAt(i++));
		enc2 = keyStr.indexOf(input.charAt(i++));
		enc3 = keyStr.indexOf(input.charAt(i++));
		enc4 = keyStr.indexOf(input.charAt(i++));

		chr1 = (enc1 << 2) | (enc2 >> 4);
		chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
		chr3 = ((enc3 & 3) << 6) | enc4;

		output.append(String.fromCharCode(chr1));

		if (enc3 != 64) {
			output.append(String.fromCharCode(chr2));
		}
		if (enc4 != 64) {
			output.append(String.fromCharCode(chr3));
		}
	}

	return output.toString();
}

function reloadEvents()
{
	if (!scheduler._lightbox || scheduler._lightbox.style.display == "none")
	{
		
		var urlStr = "ReloadEvents.php";
		
		var oXmlHttp = zXmlHttp.createRequest();
			
		oXmlHttp.open("get", urlStr, true);
			oXmlHttp.onreadystatechange = function () {
				if (oXmlHttp.readyState == 4) {
					if (oXmlHttp.status == 200) {
						if (oXmlHttp.responseText == "Success")
						{
							//alert(scheduler._lightbox.style.display);
								document.getElementById("statusDiv").innerHTML = "";
								scheduler.clearAll();
								scheduler.load("./events.xml?randomDate=" + (new Date()).valueOf());
						}
						else
						{
							document.getElementById("statusDiv").innerHTML = "<p class=\"TextError\">No Events Available or Loading Failed.  Refresh Screen Ctrl + F5.</p>";
						}
						
					} else {
						document.getElementById("statusDiv").innerHTML = "<p class=\"TextClass\">Loading <img src='/images/ajax-loader.gif'></p>";
						//VehStr = oXmlHttp.statusText; //statusText is not always accurate
					}
				}
			};
			oXmlHttp.send(null);
	}
	
	setTimeout(reloadEvents, 10000); //20000
}

function selectInterval(interval,mileageInterval,nextDate,projectedDate,nextOdometer)
{
	if (interval == 'Mileage')
	{
		document.getElementById(mileageInterval).disabled = false;
		document.getElementById(mileageInterval).style.background = '#FFFFFF';
		
		document.getElementById(nextOdometer).disabled = false;
		document.getElementById(nextOdometer).style.background = '#FFFFFF';
		
		document.getElementById(nextDate).disabled = true;
		document.getElementById(nextDate).style.background = '#E6E6E6';
		
		
	}
	else if (interval == 'Date')
	{
		
		document.getElementById(mileageInterval).disabled = true;
		document.getElementById(mileageInterval).style.background = '#E6E6E6';
		document.getElementById(mileageInterval).value = "0";
		
		document.getElementById(nextOdometer).disabled = true;
		document.getElementById(nextOdometer).style.background = '#E6E6E6';
		document.getElementById(nextOdometer).value = "0";
		
		document.getElementById(nextDate).disabled = false;
		document.getElementById(nextDate).style.background = '#FFFFFF';
		
		
		
	}
	else if (interval == 'Both')
	{
		document.getElementById(mileageInterval).disabled = false;
		document.getElementById(mileageInterval).style.background = '#FFFFFF';
		
		document.getElementById(nextOdometer).disabled = false;
		document.getElementById(nextOdometer).style.background = '#FFFFFF';
		
		document.getElementById(nextDate).disabled = false;
		document.getElementById(nextDate).style.background = '#FFFFFF';
		
	}
}

function updateDate(EventActionID,DateElement)
{
	var EventID = document.getElementById(EventActionID);
	
	//alert(EventID.value);
	
	if (EventID.value.length > 0)
	{
		ev = scheduler.getEvent(EventID.value);
		
		//alert(ev.text);
	}
}

						 
function GetNextRecurrenceDate(eventID,startDate)
{
	
	//alert(eventID + "," +  startDate)
	
	var todayDate = new Date(startDate);
	var NextDate = new Date();
	var counter = 10;
	
	NextDate.setDate(todayDate.getDate() + Number(counter));
	
	while(true)
	{		
		var evs = scheduler.getEvents(todayDate,NextDate);//new Date(9999,1,1));
		
		//evs - list of all oncoming events
	
		evs.sort(function(a,b){ return (a.start_date > b.start_date ? 1 : -1); });
		
		for (var i=0; i<evs.length; i++)
		{
			var idAr = evs[i].id.split("#");
			var evID = idAr[0];
			var evIDDate = idAr[1];
			
			if (evID == eventID && (evs[i].start_date > todayDate && evs[i].start_date < NextDate) && (evs[i].end_date > todayDate && evs[i].end_date < NextDate))
			{
				return (evs[i].start_date + "//" + evs[i].end_date);
				break;
			}
		}
		
		if (counter > 1000)
		{
			break;
		}
		else
		{
			counter += 10;
			todayDate = new Date(NextDate);
			NextDate.setDate(todayDate.getDate() + Number(counter));
		}
		
	}
	//alert(evs[0].start_date);

    //evs[0] - nearest oncoming event

}

function EventCompleteDate(eventComplete, eventCompletedDate)
{
	var now = new Date();
	
	if (document.getElementById(eventComplete).checked == true)
	{
		document.getElementById(eventCompletedDate).value = (now.getMonth()+1) + "/" + now.getDate() + "/" + now.getFullYear() + " " + now.getHours() + ":" + now.getMinutes();
	}
	else
	{
		document.getElementById(eventCompletedDate).value = "";
	}
}

function roundTimeToInterval( date, interval )
{
		var newDate = new Date(date);
	
        var minNumber = newDate.getMinutes();
        var hNumber = newDate.getHours();
		
        minNumber = Number(minNumber) + (Number(interval) - Number(minNumber) % Number(interval));
        hNumber += Number(minNumber) / 60;
        minNumber = (Number(minNumber) % 60) - interval;
		
        newDate.setHours(Number(hNumber),Number(minNumber),0,0);

        return newDate;
}

function divideNumber ( numerator, denominator ) {
    var remainder = numerator % denominator;
    var quotient = ( numerator - remainder ) / denominator;

    if ( quotient >= 0 )
        quotient = Math.floor( quotient );
    else  // negative
        quotient = Math.ceil( quotient );

	return quotient;
}

function OpenReport(ReportID)
{
	
	//alert(scheduler._mode + " - " + scheduler._els["dhx_cal_date"][0].innerHTML);
	
	var viewMode = scheduler._mode;
	var dateRange = scheduler._els["dhx_cal_date"][0].innerHTML;
	
	if (viewMode == "month")
	{	
		var dateRangeAr = dateRange.split(" ");	
		var startDate = new Date(returnNumbericMonth(dateRangeAr[0]) + "/1/" + dateRangeAr[1]);
		var endDate = new Date(startDate.getTime() + (31*24*60*60*1000));
		
		var startDateString = (startDate.getMonth() + 1) + "/" + startDate.getDate() + "/" + startDate.getFullYear() + " " + startDate.getHours() + ":" + startDate.getMinutes();
		var endDateString = (endDate.getMonth() + 1) + "/" + endDate.getDate() + "/" + endDate.getFullYear() + " " + endDate.getHours() + ":" + endDate.getMinutes();
	}
	else if (viewMode == "week")
	{
		
		var dateRangeAr = dateRange.split(" ");	
		var startDate = new Date(returnNumbericMonth(dateRangeAr[1]) + "/" + dateRangeAr[0] + "/" + dateRangeAr[2]);
		var endDate = new Date(returnNumbericMonth(dateRangeAr[5]) + "/" + dateRangeAr[4] + "/" + dateRangeAr[6]);
		
		var startDateString = (startDate.getMonth() + 1) + "/" + startDate.getDate() + "/" + startDate.getFullYear() + " " + startDate.getHours() + ":" + startDate.getMinutes();
		var endDateString = (endDate.getMonth() + 1) + "/" + endDate.getDate() + "/" + endDate.getFullYear() + " " + endDate.getHours() + ":" + endDate.getMinutes();
	}
	else if (viewMode == "day")
	{
		var dateRangeAr = dateRange.split(" ");	
		var startDate = new Date(returnNumbericMonth(dateRangeAr[1]) + "/" + dateRangeAr[0] + "/" + dateRangeAr[2]);
		var endDate = new Date(startDate.getTime() + (1*24*60*60*1000));
		
		var startDateString = (startDate.getMonth() + 1) + "/" + startDate.getDate() + "/" + startDate.getFullYear() + " " + startDate.getHours() + ":" + startDate.getMinutes();
		var endDateString = (endDate.getMonth() + 1) + "/" + endDate.getDate() + "/" + endDate.getFullYear() + " " + endDate.getHours() + ":" + endDate.getMinutes();
	}
	
	
	if (ReportID == "VehActivitySchReport")
	{
		window.open("/Main_Reports/reports/Vehicle/Vehicle Activity Scheduler Report/Report.php?Division=All&VehicleList=All&TotalBy=Division&Revenue=All&StartDate=" + startDateString + "&EndDate=" + endDateString + "&reportFormat=pdf","mywindow","status=1");
	}
	
	
}

function returnNumbericMonth(monthString)
{

	if (monthString == "January" || monthString == "Jan")
	{
		return "1";
	}
	else if (monthString == "February" || monthString == "Feb")
	{
		return "2";
	}
	else if (monthString ==  "March" || monthString ==  "Mar")
	{
		return "3";
	}
	else if (monthString ==  "April" || monthString ==  "Apr")
	{
		return "4";
	}
	else if (monthString ==  "May" || monthString ==  "May")
	{
		return "5";
	}
	else if (monthString ==  "June" || monthString ==  "Jun")
	{
		return "6";
	}
	else if (monthString ==  "July" || monthString ==  "Jul")
	{
		return "7";
	}
	else if (monthString ==  "August" || monthString ==  "Aug")
	{
		return "8";
	}
	else if (monthString ==  "September" || monthString ==  "Sep")
	{
		return "9";
	}
	else if (monthString ==  "October" || monthString ==  "Oct")
	{
		return "10";
	}
	else if (monthString ==  "November" || monthString ==  "Nov")
	{
		return "11";
	}
	else if (monthString ==  "December" || monthString ==  "Dec")
	{
		return "12";
	}
	
	return "0";
}

function addImportantParticipant(participant, list)
{
	oParticipant = document.getElementById(participant);
	oList = document.getElementById(list);
	
	oList.options[oList.length] = new Option(oParticipant.value, oParticipant.value);
	
	conflictMatrix('important_participant','active_participant','regular_participant');
}

function removeImportantParticipant(list)
{
	oList = document.getElementById(list);
	
	oList.remove(oList.selectedIndex);
	
	conflictMatrix('important_participant','active_participant','regular_participant');
}

function conflictMatrix(important,active,regular)
{
	oImportant = document.getElementById(important);
	oActive = document.getElementById(active);
	oRegular = document.getElementById(regular);
	importantAr = new Array();
	activeAr = new Array();
	regularAr = new Array();
	participantsAr = new Array();
	numberOfConflicts = 0;
			
//	document.getElementById("skypeUsersDiv")..innerHTML = "<a href=\"skype:dmahbubanijr;josephcopenhaver?call\">Skype</a>";//
	
	for(i=0;  i<oImportant.length; i++)
	{
		importantAr[i] = oImportant.options[i].value;
	}
	
	for(i=0; i<oActive.length; i++)
	{
		activeAr[i] = oActive.options[i].value;
	}
	
	for(i=0; i<oRegular.length; i++)
	{
		regularAr[i] = oRegular.options[i].value;
	}
	
	if(importantAr.length > 0)
	{
		participantsAr.push(importantAr.join(","));
	}
	
	if(activeAr.length > 0)
	{
		participantsAr.push(activeAr.join(","));
	}
	
	if(regularAr.length > 0)
	{
		participantsAr.push(regularAr.join(","));
	}
	
	if (participantsAr.length > 0)
	{
		participants = participantsAr.join(",");
	}
		
	
	var urlStr = "GetAvailable.php?participants=" + participants;
		
	var oXmlHttp = zXmlHttp.createRequest();
		
	oXmlHttp.open("get", urlStr, true);
		oXmlHttp.onreadystatechange = function () {
			if (oXmlHttp.readyState == 4) {
				if (oXmlHttp.status == 200) {
					
					//alert(oXmlHttp.responseText);
					
					result = oXmlHttp.responseText;
					resultAr = result.split(",");				
					
					for(i=0; i<resultAr.length; i++)
					{
						elementAr = resultAr[i].split("/");
						
						document.getElementById(elementAr[0]).style.backgroundColor = elementAr[1];
					}					
					
				} else {
					//document.getElementById("statusDiv").innerHTML = "<p class=\"TextClass\">Loading <img src='/images/ajax-loader.gif'></p>";
					//VehStr = oXmlHttp.statusText; //statusText is not always accurate
				}
			}
		};
		oXmlHttp.send(null);
	
}

function selectAllColumn(columnNumber)
{
	var i;
	for(i=0; i<7; i++)
	{
		document.getElementById("Day_" + i + "_Hours_" + columnNumber).checked = true;
	}
	
}

function selectAllRow(rowNumber)
{
	var i;
	for(i=0; i<24; i++)
	{
		document.getElementById("Day_" + rowNumber + "_Hours_" + i).checked = true;
	}
}